# coding: utf-8
from __future__ import unicode_literals

DECLARATION_MO = 'mo_id'
DECLARATION_OFFER_OTHER = 'offer_other'
DECLARATION_DATE = 'date'
DECLARATION_BEST_PRIVILEGE = 'best_privilege_id'
DECLARATION_DESIRED_DATE = 'desired_date'
DECLARATION_CARE_GROUP = 'consent_care_group'
DECLARATION_SHORT_TIME_GROUP = 'consent_short_time_group'
DECLARATION_FIELDS = (
    DECLARATION_MO,
    DECLARATION_DATE,
    DECLARATION_DESIRED_DATE,
    DECLARATION_BEST_PRIVILEGE,
    DECLARATION_OFFER_OTHER,
    DECLARATION_CARE_GROUP,
    DECLARATION_SHORT_TIME_GROUP,
)

CHILDREN_SNILS = 'snils'
CHILDREN_HEALTH_NEED = 'health_need_id'
CHILDREN_BIRTH_DATE = 'date_of_birth'
CHILDREN_FULLNAME = 'fullname'
CHILDREN_FIELDS = (
    CHILDREN_SNILS,
    CHILDREN_BIRTH_DATE,
    CHILDREN_FULLNAME,
    CHILDREN_HEALTH_NEED,
)

CHILDREN_ADDRESS_FIELDS = (
    'address_full',
    'reg_address_full',
)

CHILDREN_DOCUMENT_FIELDS = (
    'dul_type',
    'dul_series',
    'dul_number',
    'dul_date',
)

DECLARATION_UNIT_FIELDS = (
    'unit_id',
    'ord',
    'add_datetime',
    'privilege_id',
    'remove_declaration_unit',  # Не настоящее поле
)

CONTINGENT_HEALTH_GROUP = 'health_group'
CONTINGENT_FIELDS = (
    CONTINGENT_HEALTH_GROUP,
)

LOG_FIELDS_TO_CHECK = (
    DECLARATION_FIELDS +
    CHILDREN_FIELDS +
    CHILDREN_ADDRESS_FIELDS +
    CHILDREN_DOCUMENT_FIELDS +
    DECLARATION_UNIT_FIELDS +
    CONTINGENT_FIELDS
)